;------------------------------------------------------------------
; A sample that shows loading our own DLL
;------------------------------------------------------------------

from kernel32.dll
	import	ExitProcess
	import	GetModuleHandleA
	
from user32.dll
	import	MessageBoxA
	import	DefWindowProcA
	import	CreateWindowExA
	import	ShowWindow
	import	UpdateWindow
	;import	DestroyWindow
	import	RegisterClassA

	import	GetMessageA
	import	TranslateMessage
	import	DispatchMessageA
	import	PostQuitMessage
	import	LoadCursorA
	import	LoadIconA
	import	BeginPaint
	import	EndPaint

from gdi32.dll	
	import	TextOutA

;--------------------------
; this is our own DLL
;--------------------------
from	test_dll.dll
	import	Api_File_Open


;------------------
; sections
;------------------
section "code" 		class_code
section "data"  	class_data
section "idata" 	class_imports


include ..\win32_inc.asm


.data
	app_name		db	"SOL_ASM DLL Loader Test",0

.code

.entry App_Main

App_Main:
	;----------------------------------------
	; do nothing
	; however at DLL loading/unloading time 
	; the DLL will emit some info messages
	;----------------------------------------
	mov	eax,1234h

	;-------------------------------------
	; or you could use the dummy 
	; API_File_Open imported above
	; and put it to some "real" work
	;-------------------------------------
	invoke	Api_File_Open

	;------------
	; finish
	;------------
	invoke	ExitProcess,0

	ret












